## freedink-data 1.08.20190120

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 DESTDIR=
 PREFIX=/usr/local
 DATADIR=$(PREFIX)/share
-version:=1.08.$(shell date +%Y%m%d)
-releasedir=freedink-data-$(version)
+VERSION:=1.08.$(shell date +%Y%m%d)
+releasedir=freedink-data-$(VERSION)
+SOURCE_DATE_EPOCH:=$(shell date -d$$(echo $(VERSION) | grep -Po '\d{8}')Z0000 +%s)
 
 all:
 	@echo "No default action"
@@ -34,11 +35,12 @@
 #	Not using Git because that doesn't ship the .mo files
 #	Plus that forbids testing uncommitted changes
 #	git archive --format=tar.gz --prefix=$(releasedir)/ -o > $(releasedir).tar.gz HEAD \
-#	  -- ChangeLog COPYING DEB NEWS *.txt *.spec Makefile autobuild/ debian/ dink/ doc/ licenses/ soundtest/ src/ \
+#	  -- ChangeLog COPYING NEWS *.txt *.spec Makefile autobuild/ debian/ dink/ doc/ licenses/ soundtest/ src/ \
 
 	rm -rf $(releasedir)
 	mkdir $(releasedir)
-	cp -a ChangeLog COPYING DEB NEWS *.txt *.spec Makefile autobuild/ debian/ dink/ doc/ licenses/ soundtest/ src/ $(releasedir)
+	chmod 00755 $(releasedir)
+	umask 022; cp -dR ChangeLog COPYING NEWS *.txt *.spec Makefile autobuild/ debian/ dink/ doc/ licenses/ soundtest/ src/ $(releasedir)
 
 #	Clean-up:
 #	git files
@@ -53,15 +55,27 @@
 	rm -f $(releasedir)/dink/DEBUG.TXT
 
 #	Tarball:
-	tar czf $(releasedir).tar.gz $(releasedir)/
+#	Make it reproducible, not really needed, but fun and doesn't leak metadata
+#	https://reproducible-builds.org/docs/archives/
+#	Though any update to this Makefile changes the release checksum...
+	tar -c --sort=name \
+	  --mtime="@$(SOURCE_DATE_EPOCH)" \
+	  --owner=root --group=root --numeric-owner \
+	  $(releasedir)/ | gzip -n > $(releasedir).tar.gz
 
 	rm -rf $(releasedir)
 
 # Compile translation strings catalogs
 update-gmo:
 	cd dink/l10n; \
-	for i in da de fr nl mk es eo fi ca hu; do \
+	for i in $$(ls ??.po | sed 's/\.po$$//'); do \
 		mkdir -p $$i/LC_MESSAGES; \
 		echo -n "$$i: "; \
 		msgfmt --statistics $$i.po -o $$i/LC_MESSAGES/dink.mo; \
 	done
+
+reprotest:
+	reprotest \
+	  'make dist VERSION=$(VERSION) && ./autobuild/freedink-data-woe.sh $(VERSION) \
+	    && chmod 644  \$(releasedir).tar.gz $(releasedir)-nosrc.zip' \
+	  '$(releasedir).tar.gz $(releasedir)-nosrc.zip'
