=== debian/changelog ===
freedink-data (1.08.20190120-2) unstable; urgency=medium

  * Orphan package.

 -- Sylvain Beucler <beuc@debian.org>  Fri, 30 Aug 2019 13:25:04 +0200

freedink-data (1.08.20190120-1) unstable; urgency=medium

  * New upstream release
  * Update obsolete 'extra' priority to 'optional'
  * Use https for Homepage and Vcs-Browser fields, and for watch file

 -- Sylvain Beucler <beuc@debian.org>  Sun, 20 Jan 2019 12:02:52 +0100

freedink-data (1.08.20170409-1) experimental; urgency=medium

  * New upstream release
  * Bump compat to 10
  * Fix semi-false-positive spelling-error-in-description-synopsis
  * Update URL back with .gz extension

 -- Sylvain Beucler <beuc@debian.org>  Sun, 09 Apr 2017 19:02:53 +0200

freedink-data (1.08.20170401-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version (no changes)
  * Update URL with .xz extension

 -- Sylvain Beucler <beuc@debian.org>  Sat, 01 Apr 2017 22:18:20 +0200
