=== debian/control ===
Source: freedink-data
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 3.9.8
Homepage: https://www.gnu.org/software/freedink/

Package: freedink-data
Architecture: all
Depends: ${misc:Depends}
Description: adventure and role-playing game (assets)
 Dink Smallwood is an adventure/role-playing game, similar to Zelda,
 made by RTsoft. Besides twisted humour, it includes the actual game
 editor, allowing players to create hundreds of new adventures called
 Dink Modules or D-Mods for short.
 .
 This package contains the original game story, along with free sound
 and music replacements.
